using System;

internal sealed class Delegate842 : MulticastDelegate
{
	public extern bool Invoke(double double_0);

	public static bool smethod_0(double double_0, Delegate842 delegate842_1)
	{
		return delegate842_1(double_0);
	}

	public extern Delegate842(object object_0, IntPtr intptr_0);

	static Delegate842()
	{
		Class10.smethod_13(typeof(Delegate842).TypeHandle);
	}

	internal static Delegate842 delegate842_0;
}
